<!--
 Copyright (C) 2024 bAvenir

 This program and the accompanying materials are made
 available under the terms of the Eclipse Public License 2.0
 which is available at https://www.eclipse.org/legal/epl-2.0/

 SPDX-License-Identifier: EPL-2.0
-->

<div class="relative">
  <div
    class="rounded-sm bg-secondary-900 flex flex-col flex-gap items-center justify-center gap-4"
    (click)="buttonClicked()"
    [ngClass]="{ 'opacity-40': loading || disabled, 'cursor-pointer hover:bg-secondary-800': !loading && !disabled, 'w-56 h-64': size == 'normal', 'w-48 h-56': size == 'small' }"
  >
    <div class="flex flex-col gap-3 items-center font-semibold" [ngClass]="{ 'text-md': size == 'normal', 'text-base': size == 'small' }">
      <i *ngIf="icon" [class]="icon" [style]="size == 'normal' ? 'font-size: 1.5rem' : 'font-size: 1.2rem'"></i>
      <div class="text-white group-hover:text-white">{{ title }}</div>
    </div>
    <div *ngIf="description" class="w-24 h-0.5 bg-white opacity-40"></div>
    <div *ngIf="description" class="text-white font-semibold w-36 text-center opacity-60" [ngClass]="{ 'text-sm': size == 'normal', 'text-xs': size == 'small' }">
      <ng-template [ngTemplateOutlet]="description"></ng-template>
    </div>
  </div>
  <div *ngIf="loading" class="absolute top-1/2 left-1/2 transform -translate-x-1/2 -translate-y-1/2">
    <div class="bg-secondary-900 bg-opacity-60 rounded-full size-8 flex items-center justify-center">
      <i class="pi pi-spin pi-spinner text-primary-500" style="font-size: 1rem"></i>
    </div>
  </div>
  <div *ngIf="selectable" class="absolute top-2 right-2">
    <p-checkbox [(ngModel)]="selected" [binary]="true" [readonly]="true" [autofocus]="false" (click)="buttonClicked()" />
  </div>
</div>
